Skip to content

Manage Current Transaction Report (CTR) records.

Operations

getCtr

POST

Retrieves CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtr
POST /nexum/627/2022.01/finrep/getCtr HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrSelectFields

POST

Retrieves CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrSelectFields
POST /nexum/627/2022.01/finrep/getCtrSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrFields": true,
    "CtrFields": {
      "AckByUser": true,
      "AckDate": true,
      "AckErrorByUser": true,
      "AckErrorDate": true,
      "ApproveAmendByUser": true,
      "ApproveAmendDate": true,
      "ApproveByUser": true,
      "ApproveDate": true,
      "Approver": true,
      "ApproverTitle": true,
      "BackFileFlag": true,
      "BatchSequence": true,
      "BranchRouting": true,
      "CashinBillsInsert": true,
      "CashinCurrWager": true,
      "CashinCurrXchng": true,
      "CashinDeposit": true,
      "CashinFundsXfer": true,
      "CashinGamingIns": true,
      "CashinNegIns": true
    },
    "CtrAccountSelectableFields": {
      "IncludeAllCtrAccountFields": true,
      "CtrAccountFields": {
        "AccountNumber": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    },
    "CtrBranchSelectableFields": {
      "IncludeAllCtrBranchFields": true,
      "CtrBranchFields": {
        "Address": true,
        "CashinLocation": true,
        "CashoutLocation": true,
        "City": true,
        "CountryCode": true,
        "Ein": true,
        "Id": true,
        "LastFmDate": true,
        "Locator": true,
        "Name": true,
        "RecordChangeDate": true,
        "State": true,
        "Type": true,
        "ZipCode": true
      }
    },
    "CtrFmHistorySelectableFields": {
      "IncludeAllCtrFmHistoryFields": true,
      "CtrFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CtrForeignSelectableFields": {
      "IncludeAllCtrForeignFields": true,
      "CtrForeignFields": {
        "Cashin": true,
        "Cashout": true,
        "CountryCode": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CtrNoteSelectableFields": {
      "IncludeAllCtrNoteFields": true,
      "CtrNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "CtrPersonSelectableFields": {
      "IncludeAllCtrPersonFields": true,
      "CtrPersonFields": {
        "Address": true,
        "BirthDate": true,
        "Cashin": true,
        "Cashout": true,
        "City": true,
        "CountryCode": true,
        "DbaFirst": true,
        "DbaLast": true,
        "DbaLongName": true,
        "DbaMiddle": true,
        "DbaShortName": true,
        "DbaSuffix": true,
        "Email": true,
        "EntityFlag": true,
        "First": true,
        "Gender": true,
        "Headquarters": true,
        "IdIssueByCountry": true,
        "IdIssueByState": true,
        "IdNumber": true
      },
      "CtrPersonCtrTranInfoSelectableFields": {
        "IncludeAllCtrPersonCtrTranInfoFields": true,
        "CtrPersonCtrTranInfoFields": {
          "AccountNumber": true,
          "Amount": true,
          "LastFmDate": true,
          "Locator": true,
          "RecordChangeDate": true,
          "SlId": true,
          "SlIdType": true,
          "Source": true
        }
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrSelectFieldsFilterChildren

POST

Retrieves CTRs with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrSelectFieldsFilterChildren
POST /nexum/627/2022.01/finrep/getCtrSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrFields": true,
    "CtrFields": {
      "AckByUser": true,
      "AckDate": true,
      "AckErrorByUser": true,
      "AckErrorDate": true,
      "ApproveAmendByUser": true,
      "ApproveAmendDate": true,
      "ApproveByUser": true,
      "ApproveDate": true,
      "Approver": true,
      "ApproverTitle": true,
      "BackFileFlag": true,
      "BatchSequence": true,
      "BranchRouting": true,
      "CashinBillsInsert": true,
      "CashinCurrWager": true,
      "CashinCurrXchng": true,
      "CashinDeposit": true,
      "CashinFundsXfer": true,
      "CashinGamingIns": true,
      "CashinNegIns": true
    },
    "CtrAccountSelectableFields": {
      "IncludeAllCtrAccountFields": true,
      "CtrAccountFields": {
        "AccountNumber": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    },
    "CtrBranchSelectableFields": {
      "IncludeAllCtrBranchFields": true,
      "CtrBranchFields": {
        "Address": true,
        "CashinLocation": true,
        "CashoutLocation": true,
        "City": true,
        "CountryCode": true,
        "Ein": true,
        "Id": true,
        "LastFmDate": true,
        "Locator": true,
        "Name": true,
        "RecordChangeDate": true,
        "State": true,
        "Type": true,
        "ZipCode": true
      }
    },
    "CtrFmHistorySelectableFields": {
      "IncludeAllCtrFmHistoryFields": true,
      "CtrFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CtrForeignSelectableFields": {
      "IncludeAllCtrForeignFields": true,
      "CtrForeignFields": {
        "Cashin": true,
        "Cashout": true,
        "CountryCode": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CtrNoteSelectableFields": {
      "IncludeAllCtrNoteFields": true,
      "CtrNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "CtrPersonSelectableFields": {
      "IncludeAllCtrPersonFields": true,
      "CtrPersonFields": {
        "Address": true,
        "BirthDate": true,
        "Cashin": true,
        "Cashout": true,
        "City": true,
        "CountryCode": true,
        "DbaFirst": true,
        "DbaLast": true,
        "DbaLongName": true,
        "DbaMiddle": true,
        "DbaShortName": true,
        "DbaSuffix": true,
        "Email": true,
        "EntityFlag": true,
        "First": true,
        "Gender": true,
        "Headquarters": true,
        "IdIssueByCountry": true,
        "IdIssueByState": true,
        "IdNumber": true
      },
      "CtrPersonCtrTranInfoSelectableFields": {
        "IncludeAllCtrPersonCtrTranInfoFields": true,
        "CtrPersonCtrTranInfoFields": {
          "AccountNumber": true,
          "Amount": true,
          "LastFmDate": true,
          "Locator": true,
          "RecordChangeDate": true,
          "SlId": true,
          "SlIdType": true,
          "Source": true
        }
      }
    }
  },
  "ChildrenSearchFilter": {
    "CtrAccountFilter": {
      "Query": "string"
    },
    "CtrBranchFilter": {
      "Query": "string"
    },
    "CtrFmHistoryFilter": {
      "Query": "string"
    },
    "CtrForeignFilter": {
      "Query": "string"
    },
    "CtrNoteFilter": {
      "Query": "string"
    },
    "CtrPersonFilter": {
      "Query": "string",
      "CtrPersonChildrenFilter": {
        "CtrPersonCtrTranInfoFilter": {
          "Query": "string"
        }
      }
    }
  },
  "nxAttributes": null
}

getCtrAccount

POST

Retrieves CTR accounts.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrAccountLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrAccount
POST /nexum/627/2022.01/finrep/getCtrAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrAccountLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrAccountSelectFields

POST

Retrieves CTR accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrAccountLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrAccountSelectFields
POST /nexum/627/2022.01/finrep/getCtrAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrAccountLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrAccountFields": true,
    "CtrAccountFields": {
      "AccountNumber": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrAccountPagedList

POST

Retrieves a paged list of CTR accounts.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrAccountPagedList
POST /nexum/627/2022.01/finrep/getCtrAccountPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrAccountListSelectFields

POST

Retrieves a list of CTR accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrAccountListSelectFields
POST /nexum/627/2022.01/finrep/getCtrAccountListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrAccountFields": true,
    "CtrAccountFields": {
      "AccountNumber": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrAccountSelectFields

POST

Searches CTR accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrAccountSelectFields
POST /nexum/627/2022.01/finrep/searchCtrAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrAccountFields": true,
    "CtrAccountFields": {
      "AccountNumber": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrAccountPagedListSelectFields

POST

Retrieves a paged list of CTR accounts with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrAccountPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrAccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrAccountFields": true,
    "CtrAccountFields": {
      "AccountNumber": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrAccountPagedSelectFields

POST

Searches CTR accounts with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrAccountPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrAccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrAccountFields": true,
    "CtrAccountFields": {
      "AccountNumber": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrBranch

POST

Retrieves CTR branches.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrBranch
POST /nexum/627/2022.01/finrep/getCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrBranchSelectFields

POST

Retrieves CTR branches with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrBranchSelectFields
POST /nexum/627/2022.01/finrep/getCtrBranchSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrBranchFields": true,
    "CtrBranchFields": {
      "Address": true,
      "CashinLocation": true,
      "CashoutLocation": true,
      "City": true,
      "CountryCode": true,
      "Ein": true,
      "Id": true,
      "LastFmDate": true,
      "Locator": true,
      "Name": true,
      "RecordChangeDate": true,
      "State": true,
      "Type": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrBranchPagedList

POST

Retrieves a paged list of CTR branches.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrBranchPagedList
POST /nexum/627/2022.01/finrep/getCtrBranchPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrBranchListSelectFields

POST

Retrieves a list of CTR branches with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrBranchListSelectFields
POST /nexum/627/2022.01/finrep/getCtrBranchListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrBranchFields": true,
    "CtrBranchFields": {
      "Address": true,
      "CashinLocation": true,
      "CashoutLocation": true,
      "City": true,
      "CountryCode": true,
      "Ein": true,
      "Id": true,
      "LastFmDate": true,
      "Locator": true,
      "Name": true,
      "RecordChangeDate": true,
      "State": true,
      "Type": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrBranchSelectFields

POST

Searches CTR branches with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrBranchSelectFields
POST /nexum/627/2022.01/finrep/searchCtrBranchSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrBranchFields": true,
    "CtrBranchFields": {
      "Address": true,
      "CashinLocation": true,
      "CashoutLocation": true,
      "City": true,
      "CountryCode": true,
      "Ein": true,
      "Id": true,
      "LastFmDate": true,
      "Locator": true,
      "Name": true,
      "RecordChangeDate": true,
      "State": true,
      "Type": true,
      "ZipCode": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrBranchPagedListSelectFields

POST

Retrieves a paged list of CTR branches with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrBranchPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrBranchPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrBranchFields": true,
    "CtrBranchFields": {
      "Address": true,
      "CashinLocation": true,
      "CashoutLocation": true,
      "City": true,
      "CountryCode": true,
      "Ein": true,
      "Id": true,
      "LastFmDate": true,
      "Locator": true,
      "Name": true,
      "RecordChangeDate": true,
      "State": true,
      "Type": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrBranchPagedSelectFields

POST

Searches CTR branches with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrBranchPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrBranchPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrBranchFields": true,
    "CtrBranchFields": {
      "Address": true,
      "CashinLocation": true,
      "CashoutLocation": true,
      "City": true,
      "CountryCode": true,
      "Ein": true,
      "Id": true,
      "LastFmDate": true,
      "Locator": true,
      "Name": true,
      "RecordChangeDate": true,
      "State": true,
      "Type": true,
      "ZipCode": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrFmHistoryPagedList

POST

Retrieves a paged list of CTRs from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrFmHistoryPagedList
POST /nexum/627/2022.01/finrep/getCtrFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrFmHistoryListSelectFields

POST

Retrieves a list of CTRs from history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrFmHistoryListSelectFields
POST /nexum/627/2022.01/finrep/getCtrFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrFmHistoryFields": true,
    "CtrFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrFmHistorySelectFields

POST

Searches CTRs from history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrFmHistorySelectFields
POST /nexum/627/2022.01/finrep/searchCtrFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrFmHistoryFields": true,
    "CtrFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrFmHistoryPagedListSelectFields

POST

Retrieves a paged list of CTRs from history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrFmHistoryFields": true,
    "CtrFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrFmHistoryPagedSelectFields

POST

Searches CTRs from history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrFmHistoryPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrFmHistoryFields": true,
    "CtrFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrForeign

POST

Retrieves foreign CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrForeignLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrForeign
POST /nexum/627/2022.01/finrep/getCtrForeign HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrForeignLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrForeignSelectFields

POST

Retrieves foreign CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrForeignLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrForeignSelectFields
POST /nexum/627/2022.01/finrep/getCtrForeignSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrForeignLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrForeignFields": true,
    "CtrForeignFields": {
      "Cashin": true,
      "Cashout": true,
      "CountryCode": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrForeignPagedList

POST

Retrieves a paged list of foreign CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrForeignPagedList
POST /nexum/627/2022.01/finrep/getCtrForeignPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrForeignListSelectFields

POST

Retrieves a list of foreign CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrForeignListSelectFields
POST /nexum/627/2022.01/finrep/getCtrForeignListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrForeignFields": true,
    "CtrForeignFields": {
      "Cashin": true,
      "Cashout": true,
      "CountryCode": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrForeignSelectFields

POST

Searches foreign CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrForeignSelectFields
POST /nexum/627/2022.01/finrep/searchCtrForeignSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrForeignFields": true,
    "CtrForeignFields": {
      "Cashin": true,
      "Cashout": true,
      "CountryCode": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrForeignPagedListSelectFields

POST

Retrieves a paged list of foreign CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrForeignPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrForeignPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrForeignFields": true,
    "CtrForeignFields": {
      "Cashin": true,
      "Cashout": true,
      "CountryCode": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrForeignPagedSelectFields

POST

Searches foreign CTRs with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrForeignPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrForeignPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrForeignFields": true,
    "CtrForeignFields": {
      "Cashin": true,
      "Cashout": true,
      "CountryCode": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrNote

POST

Retrieves CTR notes.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrNote
POST /nexum/627/2022.01/finrep/getCtrNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrNoteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrNoteSelectFields

POST

Retrieves CTR notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrNoteSelectFields
POST /nexum/627/2022.01/finrep/getCtrNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrNoteFields": true,
    "CtrNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrNotePagedList

POST

Retrieves a paged list of CTR notes.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrNotePagedList
POST /nexum/627/2022.01/finrep/getCtrNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrNoteListSelectFields

POST

Retrieves a list of CTR notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrNoteListSelectFields
POST /nexum/627/2022.01/finrep/getCtrNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrNoteFields": true,
    "CtrNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrNoteSelectFields

POST

Searches CTR notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrNoteSelectFields
POST /nexum/627/2022.01/finrep/searchCtrNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrNoteFields": true,
    "CtrNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrNotePagedListSelectFields

POST

Retrieves a paged list of CTR notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrNotePagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrNoteFields": true,
    "CtrNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrNotePagedSelectFields

POST

Searches CTR notes with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrNotePagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrNoteFields": true,
    "CtrNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPerson

POST

Retrieves individuals involved in CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPerson
POST /nexum/627/2022.01/finrep/getCtrPerson HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonSelectFields

POST

Retrieves individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    },
    "CtrPersonCtrTranInfoSelectableFields": {
      "IncludeAllCtrPersonCtrTranInfoFields": true,
      "CtrPersonCtrTranInfoFields": {
        "AccountNumber": true,
        "Amount": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonSelectFieldsFilterChildren

POST

Retrieves individuals involved in CTRs with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonSelectFieldsFilterChildren
POST /nexum/627/2022.01/finrep/getCtrPersonSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    },
    "CtrPersonCtrTranInfoSelectableFields": {
      "IncludeAllCtrPersonCtrTranInfoFields": true,
      "CtrPersonCtrTranInfoFields": {
        "AccountNumber": true,
        "Amount": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CtrPersonCtrTranInfoFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonPagedList

POST

Retrieves a paged list of individuals involved in CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonPagedList
POST /nexum/627/2022.01/finrep/getCtrPersonPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonListSelectFields

POST

Retrieves a list of individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    },
    "CtrPersonCtrTranInfoSelectableFields": {
      "IncludeAllCtrPersonCtrTranInfoFields": true,
      "CtrPersonCtrTranInfoFields": {
        "AccountNumber": true,
        "Amount": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonSelectFields

POST

Searches individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrPersonSelectFields
POST /nexum/627/2022.01/finrep/searchCtrPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    },
    "CtrPersonCtrTranInfoSelectableFields": {
      "IncludeAllCtrPersonCtrTranInfoFields": true,
      "CtrPersonCtrTranInfoFields": {
        "AccountNumber": true,
        "Amount": true,
        "LastFmDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Source": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "CtrPersonChildrenFilter": {
      "CtrPersonCtrTranInfoFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonPagedListSelectFields

POST

Retrieves a paged list of individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonPagedSelectFields

POST

Searches individuals involved in CTRs with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrPersonPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfo

POST

Retrieves CTR transaction information for individuals.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfo
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfo HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoSelectFields

POST

Retrieves CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoPagedList

POST

Retrieves a paged list of CTR transaction information for individuals.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPagedList
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoListSelectFields

POST

Retrieves a list of CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonCtrTranInfoSelectFields

POST

Searches CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/searchCtrPersonCtrTranInfoSelectFields
POST /nexum/627/2022.01/finrep/searchCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoPagedListSelectFields

POST

Retrieves a paged list of CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPagedListSelectFields
POST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonCtrTranInfoPagedSelectFields

POST

Searches CTR transaction information for individuals with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/finrep/searchCtrPersonCtrTranInfoPagedSelectFields
POST /nexum/627/2022.01/finrep/searchCtrPersonCtrTranInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrByID

POST

Updates a CTR by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrByID
POST /nexum/627/2022.01/finrep/updateCtrByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrUpdatableFields": {
    "AckByUser": "string",
    "AckDate": "string",
    "AckErrorByUser": "string",
    "AckErrorDate": "string",
    "ApproveAmendByUser": "string",
    "ApproveAmendDate": "string",
    "ApproveByUser": "string",
    "ApproveDate": "string",
    "Approver": "string",
    "ApproverTitle": "string",
    "BackFileFlag": 0,
    "BranchRouting": "string",
    "CashinBillsInsert": 0,
    "CashinCurrWager": 0,
    "CashinCurrXchng": 0,
    "CashinDeposit": 0,
    "CashinFundsXfer": 0,
    "CashinGamingIns": 0,
    "CashinNegIns": 0,
    "CashinOther": 0
  },
  "CtrAccountUpdateRequest": [
    {
      "CtrAccountLocator": 0,
      "CtrAccountUpdatableFields": {
        "AccountNumber": "string",
        "SlId": "string",
        "SlIdType": 0,
        "Source": 0
      }
    }
  ],
  "CtrBranchUpdateRequest": [
    {
      "CtrBranchLocator": 0,
      "CtrBranchUpdatableFields": {
        "Address": "string",
        "CashinLocation": 0,
        "CashoutLocation": 0,
        "City": "string",
        "CountryCode": "string",
        "Ein": "string",
        "Id": 0,
        "Name": "string",
        "State": "string",
        "Type": 0,
        "ZipCode": "string"
      }
    }
  ],
  "CtrForeignUpdateRequest": [
    {
      "CtrForeignLocator": 0,
      "CtrForeignUpdatableFields": {
        "Cashin": 0,
        "Cashout": 0,
        "CountryCode": "string"
      }
    }
  ],
  "CtrNoteUpdateRequest": [
    {
      "CtrNoteLocator": 0,
      "CtrNoteUpdatableFields": {
        "Code": 0,
        "EnterDate": "string",
        "EnterTime": 0,
        "ExpirationDate": "string",
        "Text": [
          {
            "EntryId": 0,
            "Text": "string"
          }
        ],
        "UserId": 0,
        "VoidFlag": 0,
        "VoidedBy": 0
      }
    }
  ],
  "CtrPersonUpdateRequest": [
    {
      "CtrPersonLocator": 0,
      "CtrPersonUpdatableFields": {
        "Address": "string",
        "BirthDate": "string",
        "Cashin": 0,
        "Cashout": 0,
        "City": "string",
        "CountryCode": "string",
        "DbaFirst": "string",
        "DbaLast": "string",
        "DbaMiddle": "string",
        "DbaSuffix": "string",
        "Email": "string",
        "EntityFlag": 0,
        "First": "string",
        "Gender": "string",
        "Headquarters": 0,
        "IdIssueByCountry": "string",
        "IdIssueByState": "string",
        "IdNumber": "string",
        "IdTypeOtherDesc": "string",
        "IdVerifyMethod": 0
      },
      "CtrPersonCtrTranInfoUpdateRequest": [
        {
          "CtrPersonCtrTranInfoLocator": 0,
          "CtrPersonCtrTranInfoUpdatableFields": {
            "AccountNumber": "string",
            "Amount": 0,
            "SlId": "string",
            "SlIdType": 0,
            "Source": 0
          }
        }
      ]
    }
  ],
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrAccountByID

POST

Updates a CTR account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrAccountLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrAccountByID
POST /nexum/627/2022.01/finrep/updateCtrAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrAccountLocator": 0,
  "CtrAccountUpdatableFields": {
    "AccountNumber": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Source": 0
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrBranchByID

POST

Updates a CTR branch by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrBranchLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrBranchByID
POST /nexum/627/2022.01/finrep/updateCtrBranchByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrBranchLocator": 0,
  "CtrBranchUpdatableFields": {
    "Address": "string",
    "CashinLocation": 0,
    "CashoutLocation": 0,
    "City": "string",
    "CountryCode": "string",
    "Ein": "string",
    "Id": 0,
    "Name": "string",
    "State": "string",
    "Type": 0,
    "ZipCode": "string"
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrForeignByID

POST

Updates a foreign CTR by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrForeignLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrForeignByID
POST /nexum/627/2022.01/finrep/updateCtrForeignByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrForeignLocator": 0,
  "CtrForeignUpdatableFields": {
    "Cashin": 0,
    "Cashout": 0,
    "CountryCode": "string"
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrNoteByID

POST

Updates a CTR note by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNoteLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrNoteByID
POST /nexum/627/2022.01/finrep/updateCtrNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNoteLocator": 0,
  "CtrNoteUpdatableFields": {
    "Code": 0,
    "EnterDate": "string",
    "EnterTime": 0,
    "ExpirationDate": "string",
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0,
    "VoidFlag": 0,
    "VoidedBy": 0
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonByID

POST

Updates an individual involved in CTRs by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrPersonLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrPersonByID
POST /nexum/627/2022.01/finrep/updateCtrPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrPersonLocator": 0,
  "CtrPersonUpdatableFields": {
    "Address": "string",
    "BirthDate": "string",
    "Cashin": 0,
    "Cashout": 0,
    "City": "string",
    "CountryCode": "string",
    "DbaFirst": "string",
    "DbaLast": "string",
    "DbaMiddle": "string",
    "DbaSuffix": "string",
    "Email": "string",
    "EntityFlag": 0,
    "First": "string",
    "Gender": "string",
    "Headquarters": 0,
    "IdIssueByCountry": "string",
    "IdIssueByState": "string",
    "IdNumber": "string",
    "IdTypeOtherDesc": "string",
    "IdVerifyMethod": 0
  },
  "CtrPersonCtrTranInfoUpdateRequest": [
    {
      "CtrPersonCtrTranInfoLocator": 0,
      "CtrPersonCtrTranInfoUpdatableFields": {
        "AccountNumber": "string",
        "Amount": 0,
        "SlId": "string",
        "SlIdType": 0,
        "Source": 0
      }
    }
  ],
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonCtrTranInfoByID

POST

Updates CTR transaction information for individuals by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrPersonCtrTranInfoLocatorintegeroptional
CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrPersonCtrTranInfoByID
POST /nexum/627/2022.01/finrep/updateCtrPersonCtrTranInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrPersonCtrTranInfoLocator": 0,
  "CtrPersonCtrTranInfoUpdatableFields": {
    "AccountNumber": "string",
    "Amount": 0,
    "SlId": "string",
    "SlIdType": 0,
    "Source": 0
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

createCtrBranch

POST

Creates a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
CtrBranchLocatorintegeroptional
POST/nexum/{sym}/2022.01/finrep/createCtrBranch
POST /nexum/627/2022.01/finrep/createCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrBranchCreatableFields": {
    "Address": "string",
    "CashinLocation": 0,
    "CashoutLocation": 0,
    "City": "string",
    "CountryCode": "string",
    "Ein": "string",
    "Id": 0,
    "Name": "string",
    "State": "string",
    "Type": 0,
    "ZipCode": "string"
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

deleteCtrBranch

POST

Deletes a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/finrep/deleteCtrBranch
POST /nexum/627/2022.01/finrep/deleteCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}